net.dontdrinkandroot.utils.resource

## Class CachedFileResource

- java.lang.Object
- - net.dontdrinkandroot.utils.resource.StreamableWebResource
  - - net.dontdrinkandroot.utils.resource.CachedFileResource

    public class CachedFileResource
    extends StreamableWebResource

### Constructor Summary

Constructors
Constructor and Description
`CachedFileResource(File file)`

### Method Summary

Methods
`Long` `getContentLength()`
`String` `getContentType()`
`Integer` `getErrorCode()`
`String` `getErrorMessage()`
`Long` `getExpiry()`
`String` `getFileName()`
`Long` `getLastModified()`
`String` `getTextEncoding()`
`StreamableWebResource` `setExpiry(Long expiry)`
`void` `setFileName(String fileName)`
`void` `write(OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CachedFileResource

    public CachedFileResource(File file)

### Method Detail

#### write

    public void write(OutputStream os)
               throws IOException

Specified by:
  `write` in class `StreamableWebResource`
Throws:
  `IOException`

#### getErrorCode

    public Integer getErrorCode()

Specified by:
  `getErrorCode` in class `StreamableWebResource`

#### getErrorMessage

    public String getErrorMessage()

Specified by:
  `getErrorMessage` in class `StreamableWebResource`

#### getFileName

    public String getFileName()

Specified by:
  `getFileName` in class `StreamableWebResource`

#### getContentType

    public String getContentType()

Specified by:
  `getContentType` in class `StreamableWebResource`

#### getTextEncoding

    public String getTextEncoding()

Specified by:
  `getTextEncoding` in class `StreamableWebResource`

#### getContentLength

    public Long getContentLength()

Specified by:
  `getContentLength` in class `StreamableWebResource`

#### getLastModified

    public Long getLastModified()

Specified by:
  `getLastModified` in class `StreamableWebResource`

#### getExpiry

    public Long getExpiry()

Specified by:
  `getExpiry` in class `StreamableWebResource`

#### setExpiry

    public StreamableWebResource setExpiry(Long expiry)

#### setFileName

    public void setFileName(String fileName)